set testapp(tix,w,normal) {
    tixButtonBox tixComboBox tixControl tixDirList tixDirTree
    tixExDirSelectBox tixExFileSelectBox tixFileSelectBox tixFileEntry
    tixLabelEntry tixLabelFrame tixNoteBook tixOptionMenu
    tixPanedWindow tixScrolledHList tixScrolledListBox
    tixScrolledTList tixScrolledText tixScrolledWindow tixSelect
    tixStdButtonBox tixTree
}
set testapp(tix,w,shell) {
    tixBalloon tixDialogShell tixExFileSelectDialog tixFileSelectDialog
    tixPopupMenu tixStdDialogShell
}
set testapp(tix,w,base) {
    tixLabelWidget 
    tixPrimitive 
    tixScrolledWidget 
    tixShell 
    tixStackWindow 
    tixVResize tixVStack tixVTree 
}
set testapp(tix,w,unsupported) {
    tixMDIMenuBar 
    tixMDIWindow 
    tixMwmClient 
    tixResizeHandle 
    tixSimpleDialog 
    tixStatusBar 
}

proc Assert {cond} {
    uplevel 1 [list \
	if !($cond) [list \
	    puts "Unsatisfied condition \"$cond\"\n   evaluated as [uplevel 1 subst [list $cond]]"
	] \
    ]
}

proc test {cmd {result {}} {ret {}}} {
    if [catch {set ret [uplevel 1 $cmd]} err] {
	set done 0
	foreach r $result {
	    if [regexp $r $err] {
		puts "error message OK: $err"
		set done 1
		break
	    }
	}
	if {!$done} {
	    error $err
	}
    } else {
	puts "execution OK: $cmd"
    }
    return $ret
}


proc Done {args} {
    global env

    if {$args == "forced"} {
	exit 0
    } else {
	after $env(WAITTIME) exit 0
    }
}

if [file exists pkginit.tcl] {
    source pkginit.tcl
}

wm geometry . +100+100

catch {
    puts "---------------------starting-------------------------------"
    About
}
