# This file tests the pixmap image reader
#

proc Test {} {

    set data {
/* XPM */
static char * folder_xpm[] = {
/* width height num_colors chars_per_pixel */
"16 12 4 1",
/* colors */
" 	s None	c None",
".	c black",
"X	c #f0ff80",
"+	c red",
/* pixels */
"   ....         ",
"  .XXXX.        ",
" .XXXXXX.       ",
".............   ",
".XXXXXXXXXXX.   ",
".XXXXX+XXXXX.   ",
".XXXXX+XXXXX.   ",
".XX+++++++XX.   ",
".XXXXX+XXXXX.   ",
".XXXXX+XXXXX.   ",
".XXXXXXXXXXX.   ",
".............   "};
    }

    # Test for create
    #
    #

    # Good pixmap
    #
    test {set pixmap1 [image create pixmap -file f-ok.xpm]}

    # With some comments 
    #
    test {set pixmap2 [image create pixmap -file f-commt.xpm]}

    # Bad color (should use "black" by default)
    #
    test {set pixmap3 [image create pixmap -file f-badcol.xpm]}

    # Shortened lines (should show garbage, shouldn't core dump)
    #
    test {set pixmap4 [image create pixmap -file f-shortln.xpm]}

    # Two chars per pixel
    #
    test {set pixmap5 [image create pixmap -file 2cpp.xpm]}

    # Bad pixel (should show garbage for undefined pixels)
    #
    test {set pixmap6 [image create pixmap -file f-badpix.xpm]}


    # Data switch
    #
    test {set pixmap7 [image create pixmap -data $data]}


    # Missing one line
    #
    test {image create pixmap -file f-missline.xpm} {File For}

    foreach i {1 2 3 4 5 6 7} {
	button .b$i -image [set pixmap$i]
	pack .b$i
    }

    update
}

## MAIN_BEGIN

source ../library/TestLib.tcl
Test
Done

## MAIN_END
